Skip to content
Skip to main content
PUT
/v3/grants/{grant_id}/folders/{folder_id}

Update a folder

Updates the specified folder.

When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

NYLAS API KEYACCESS TOKEN

Parameters

Path parameters

grant_id*string

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

folder_id*string

ID of the folder to access. Nylas recommends you URL-encode this field, or you might receive a 404 error if the ID contains special characters (for example, #).

Query parameters

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

include_hidden_foldersboolean

(Microsoft only) When true, Nylas includes hidden folders in its response.

Default: false
shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Request body

namestring

The name of the folder to be updated.

parent_idstring

(Microsoft and EWS only) The ID of the parent folder.

text_colorstring

(Google only) The text color of the folder, in hexadecimal format (for example, #0099EE). See Google's reference documentation for a list of accepted values.

background_colorstring

(Google only) The background color of the folder, in hexadecimal format (for example, #0099EE). See Google's reference documentation for a list of accepted values.

Responses

request_idstring

The request ID.

dataobject

An email folder or label.

PUThttps://api.us.nylas.com/v3/grants/{grant_id}/folders/{folder_id}?include_hidden_folders=false

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

folder_idrequiredstring

ID of the folder to access. Nylas recommends you URL-encode this field, or you might receive a `404` error if the ID contains special characters (for example, #).

selectstring

Specify fields that you want Nylas to return, as a comma-separated list (for example, select=id,updated_at). This allows you to receive only the portion of object data that you're interested in. You can use select to optimize response size and reduce latency by limiting queries to only the information that you need.

include_hidden_foldersboolean

(Microsoft only) When true, Nylas includes hidden folders in its response.

shared_fromstring

(Microsoft only) When provided, Nylas returns items that were shared from the specified email address. It also accepts grant ID. This parameter only accepts single email address or grant ID. Check out the Shared folders guide for more information.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.